Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils.cache
Class ChangeableCache

    java.lang.Object
      org.biojava.utils.cache.ChangeableCache

    public class ChangeableCache

extends Object

A cache that clears values as the keys fire ChangeEvents of a given type.

Since:
  1.1
Author:
  Matthew Pocock

Constructor Summary
`ChangeableCache(ChangeType ct)`

Method Summary
`Object` | `get(Object key)`
`void` | `put(Object key, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChangeableCache

    public ChangeableCache(ChangeType ct)

Method Detail

### put

    public void put(Object key,
                    Object value)

### get

    public Object get(Object key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD